# pooliot-client [![NPM version][npm-image]][npm-url]

[![Dependency ci Status][dependencyci-image]][dependencyci-url]
[![Dependency Status][daviddm-image]][daviddm-url]

## What it is

Client for [pooliot](https://github.com/christophehurpeau/pooliot).
Allow to control your iot from a server.

Currently supports:

- raspberry
- tinker board

But it should work for most debian-based boards.
Please open an issue if you want support for a particular board.  


## Install

```
sudo npm install -g pooliot-client
sudo pooliot-client install --interactive
```

## Read the logs

```
sudo journalctl -fan100 _SYSTEMD_UNIT=pooliot-client.service
```

## Start, Stop or Restart the client

```
sudo systemctl [start|stop|restart] pooliot-client
```

[npm-image]: https://img.shields.io/npm/v/pooliot-client.svg?style=flat-square
[npm-url]: https://npmjs.org/package/pooliot-client
[daviddm-image]: https://david-dm.org/christophehurpeau/pooliot-client.svg?style=flat-square
[daviddm-url]: https://david-dm.org/christophehurpeau/pooliot-client
[dependencyci-image]: https://dependencyci.com/github/christophehurpeau/pooliot-client/badge?style=flat-square
[dependencyci-url]: https://dependencyci.com/github/christophehurpeau/pooliot-client
