'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _alpNode = require('alp-node');

var _deviceService = require('../../deviceService');

var _deviceService2 = _interopRequireDefault(_deviceService);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (0, _alpNode.newController)({
  index(ctx) {
    return _asyncToGenerator(function* () {
      if (ctx.method !== 'GET') return ctx.status = 404;
      ctx.body = yield _deviceService2.default.getDisplayInfo();
    })();
  },

  start(ctx) {
    return _asyncToGenerator(function* () {
      if (ctx.method !== 'POST') return ctx.status = 404;
      ctx.body = yield _deviceService2.default.startDisplay();
    })();
  },

  restart(ctx) {
    return _asyncToGenerator(function* () {
      if (ctx.method !== 'POST') return ctx.status = 404;
      ctx.body = yield _deviceService2.default.restartDisplay();
    })();
  },

  stop(ctx) {
    return _asyncToGenerator(function* () {
      if (ctx.method !== 'POST') return ctx.status = 404;
      ctx.body = yield _deviceService2.default.stopDisplay();
    })();
  },

  refresh(ctx) {
    return _asyncToGenerator(function* () {
      if (ctx.method !== 'POST') return ctx.status = 404;
      ctx.body = yield _deviceService2.default.refreshDisplay();
    })();
  },

  openboxStarted(ctx) {
    return _asyncToGenerator(function* () {
      if (ctx.method !== 'POST') return ctx.status = 404;
      ctx.body = yield _deviceService2.default.setOpenboxStarted();
    })();
  }
});
//# sourceMappingURL=displayController.js.map