'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.availableWebBrowsers = exports.webBrowsers = undefined;

var _exec = require('../commands/exec');

const availableDisplays = [(0, _exec.runSyncOk)('chromium', ['--version']) && 'chromium', (0, _exec.runSyncOk)('firefox', ['--version']) && 'firefox',
// runSyncOk('livestreamer', ['--version']) && 'livestreamer', TODO checked dailymotion and Twitch, failed because json parsing or auth
(0, _exec.runSyncOk)('omxplayer', ['--version']) && 'omxplayer'].filter(Boolean);

const webBrowsers = exports.webBrowsers = ['chromium', 'firefox'];

const availableWebBrowsers = exports.availableWebBrowsers = availableDisplays.filter(display => webBrowsers.includes(display));

exports.default = availableDisplays;
//# sourceMappingURL=availableDisplays.js.map